Add generalized Gaussian spatial model

12/08/2021 11:38 AM - Tibaldo Luigi

Status: Closed Start date: 12/08/2021

Priority: Normal Due date:  

Assigned To: Tibaldo Luigi % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

A generalized Gaussian spatial model as described at

https://docs.gammapy.org/dev/modeling/gallery/spatial/plot_gen_gauss.html#sphx-glr-modeling-gallery-spatial-plot-gen-gauss-py

was used in some CTA studies.

For cross-work I need to implement it in GammaLib.

The implementation should follow the GammaLib conventions, i.e., separate the purely radial and elliptical case, and use the minor

semi-axis as parameter rather than ellipticity.

History

#1 - 12/15/2021 06:12 PM - Tibaldo Luigi

- File bkg_pref.png added

- File dec.png added

- File index.png added

- File prefactor.png added

- File ra.png added

- File radius.png added

- File ridx.png added

- % Done changed from 0 to 40

Implemented radial model.

I run a quick check making a set of pull distributions. Everything seems to work correctly.
#2 - 01/10/2022 11:51 AM - Tibaldo Luigi

- File ell_bkgprefactor.png added

- File ell_dec.png added

- File ell_index.png added

- File ell_major.png added

- File ell_minor.png added

- File ell_pa.png added

- File ell_prefactor.png added

- File ell_ra.png added

- File ell_ridx.png added

- Status changed from New to In Progress

- % Done changed from 40 to 80

I also implemented the elliptical generalised gaussian, and run a simple test by creating a pull distribution.

 

 

 

 

 

 

 

 

#3 - 01/10/2022 12:44 PM - Tibaldo Luigi

- Status changed from In Progress to Pull request

- % Done changed from 80 to 100

I added the model description in ctools documentation. Due to a problem with sphinx on my laptop after upgrading to Big Sur I could not build the user

manual, though.

I would propose to merge anyway. The updated code is in in branches 3924-GeneralGauss for both ctools and GammaLib.

#4 - 01/11/2022 08:33 AM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Target version set to 2.0.0

I merged both the generalised radial and elliptical Gaussian models into GammaLib and the documentation into ctools.

Files

bkg_pref.png 45 KB 12/15/2021 Tibaldo Luigi

index.png 38.2 KB 12/15/2021 Tibaldo Luigi

prefactor.png 39.3 KB 12/15/2021 Tibaldo Luigi

ra.png 37.5 KB 12/15/2021 Tibaldo Luigi

radius.png 38.9 KB 12/15/2021 Tibaldo Luigi

ridx.png 44.8 KB 12/15/2021 Tibaldo Luigi

dec.png 37.1 KB 12/15/2021 Tibaldo Luigi
ell_dec.png 37.1 KB 01/10/2022 Tibaldo Luigi

ell_index.png 38 KB 01/10/2022 Tibaldo Luigi

ell_major.png 41 KB 01/10/2022 Tibaldo Luigi

ell_minor.png 40.4 KB 01/10/2022 Tibaldo Luigi

ell_pa.png 36.7 KB 01/10/2022 Tibaldo Luigi

ell_prefactor.png 39.5 KB 01/10/2022 Tibaldo Luigi

ell_ra.png 37 KB 01/10/2022 Tibaldo Luigi

ell_ridx.png 38.4 KB 01/10/2022 Tibaldo Luigi

ell_bkgprefactor.png 45 KB 01/10/2022 Tibaldo Luigi
